package workers

import (
	"context"
	"penahub.gitlab.yandexcloud.net/backend/quiz/common.git/dal/sqlcgen"
)

type Deps struct {
	Queries *sqlcgen.Queries
}

type WorkerRepository struct {
	queries *sqlcgen.Queries
}

func NewWorkerRepository(deps Deps) *WorkerRepository {
	return &WorkerRepository{
		queries: deps.Queries,
	}
}

// test +
func (r *WorkerRepository) WorkerStatProcess(ctx context.Context) error {
	err := r.queries.WorkerStatProcess(ctx)
	if err != nil {
		return err
	}

	return nil
}

// test +
func (r *WorkerRepository) WorkerTimeoutProcess(ctx context.Context) error {
	err := r.queries.WorkerTimeoutProcess(ctx)
	if err != nil {
		return err
	}
	return nil
}
